Bug 1769691 - OpenShift fails to upgrade when image-registry operator is unmanaged or removed
Summary: OpenShift fails to upgrade when image-registry operator is unmanaged or removed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 4.1.z
Assignee: Ricardo Maraschini
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1770658
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-07 08:42 UTC by Ricardo Maraschini
Modified: 2020-01-22 09:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1753778
Environment:
Last Closed: 2020-01-22 09:46:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 409 'None' closed Bug 1769691: Set Version on Operator status even if Removed. 2020-02-06 10:55:30 UTC
Github openshift cluster-image-registry-operator pull 414 None closed Bug 1769691: Report Available when registry is explicitly Removed 2020-02-06 10:55:30 UTC
Red Hat Product Errata RHBA-2020:0115 None None None 2020-01-22 09:46:32 UTC

Comment 6 Adam Kaplan 2020-01-07 15:20:03 UTC
Moving to MODIFIED - something wasn't quite right with our bz bot.

Comment 8 Wenjing Zheng 2020-01-13 07:57:29 UTC
Verified, upgrade succeeds from 4.1.29 to 4.1.30 when set image-registry operator to be removed.

Comment 10 errata-xmlrpc 2020-01-22 09:46:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0115


Note You need to log in before you can comment on or make changes to this bug.